Create a video recall request

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Purpose: Creates a new video recall request for a vehicle or asset for a specified time range. Video retrieval is processed asynchronously, and the request status and download URLs can be retrieved later using the video recall request details endpoint or a completion webhook.

📘

NOTE

  • start_time and duration are required.
  • Provide exactly one of vehicle_number or asset_name, but not BOTH.
  • start_time must be a valid ISO 8601 timestamp and cannot refer to future footage.
  • The requested time range must have video available.
  • Supported durations:
    • regular: 1, 2, or 3 minutes
    • timelapse: 5, 10, 15, 30, 45, or 60 minutes
  • Supported recall_type values are regular and timelapse.
  • Timelapse is not supported for smart dashcams.
  • Smart dashcam recalls are limited to 1 minute.
  • Duplicate requests may be rejected.
  • Requests are subject to company rate limits and monthly quota limits.

👍

Important info - Camera Positions

  • If camera_positions are not mentioned, the endpoint pulls the footage from all the available cameras.
  • If camera_positions specifies only Dashcam camera valiues, then the footage from Omnicam is ignored.
  • If camera_positions specifies only Omnicam positions, then the footage of the Dashcam is ignored.
  • If camera_positions contains a mix → both dashcam and OmniCam, then the endpoint filters the footage accordingly.
  • Special case: if front_facing is specified without driver_facing, only road-facing video is retrieved from the dashcam (road_facing_only mode)
  • Passing an empty array [] returns a 400 error
  • Passing invalid position strings returns a 400 error
PositionCamera TypeVehicle/Asset
front_facingDashcamRoad-facing camera.
driver_facingDashcamIn-cab, driver-facing camera.
front_narrow_facingDashcamNarrow field-of-view road facing camera.
side_leftOmnicamLeft-side exterior camera
side_rightOmnicamRight-side exterior camera
rearOmnicamRear exterior camera

❗️

RATE LIMITS

Create a video recall request has a rate limit of 10 requests per minute.

Response Parameters

id

  • Type: Integer
  • Description: The unique identifier of the video recall request.

status

  • Type: String
  • Description: The current status of the video recall request.

primary_entity

  • Type: String
  • Description: Indicates whether the video recall request is associated with a vehicle or an asset.

vehicle

  • Type: Object or Null
  • Description: Contains the details of the vehicle associated with the video recall request. This field is returned when the primary entity is a vehicle; otherwise, it is null.

id

  • Type: Integer
  • Description: The unique identifier of the vehicle.

number

  • Type: String
  • Description: The vehicle number associated with the video recall request.

asset

  • Type: Object or Null
  • Description: Contains the details of the asset associated with the video recall request. This field is returned when the primary entity is an asset; otherwise, it is null.

start_time

  • Type: String
  • Description: The start time of the requested video recall window in ISO 8601 format.

end_time

  • Type: String
  • Description: The end time of the requested video recall window in ISO 8601 format.

recall_type

  • Type: String
  • Description: The type of video recall request. Possible values include regular and timelapse.

created_at

  • Type: String
  • Description: The timestamp when the video recall request was created, in ISO 8601 format.

updated_at

  • Type: String
  • Description: The timestamp when the video recall request was last updated, in ISO 8601 format.

cameras

  • Type: Array of Objects
  • Description: Contains the list of camera-specific results for the video recall request. This array may be empty when the request is still pending.

Body Params
date
required

Specify the start time from when you want the recall request to begin. Format: ISO 8601

int32
required

Specify the duration of the video.

string

Specify the number of the vehicle for which you are creating this request.

string

Specify the name of the asset for which you are creating this request.

string
Defaults to regular

Specify the type of recall. Allowed values are

  • regular
  • timelapse

camera_positions
array of strings

Specify the position of the camera for this particular video recall request. Below are the supported camera positions:

  • front_facing
  • driver_facing
  • front_narrow_facing
  • side_left
  • side_right
  • rear

camera_positions
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain